Use ESUSSAMU; -- Alterar para o nome do banco de dados utilizado.


ALTER TABLE [dbo].[VEICULO_ITEMRETIDO] DROP CONSTRAINT [FK_VEICULO_ITEMRETIDO_Ocorrencia];
ALTER TABLE [dbo].[OCORRENCIA_IDGRAVACAO] DROP CONSTRAINT [FK_OCORRENCIA_IDGRAVACAO_Ocorrencia] 
ALTER TABLE [dbo].[OCORRENCIA_QUEIXA] DROP CONSTRAINT [FK_OCORRENCIA_QUEIXA_Ocorrencia];
ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID] DROP CONSTRAINT [FK_OCORRENCIA_AVALIACAO_PACIENTE_CID_Ocorrencia];
ALTER TABLE [dbo].[OCORRENCIA_APOIO_SOLICITADO] DROP CONSTRAINT [FK_OCORRENCIA_APOIO_SOLICITADO_Ocorrencia];
ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID] DROP CONSTRAINT [FK_OCORRENCIA_AVALIACAO_PACIENTE_CID_Vitimas];


ALTER TABLE [dbo].[Ocorrencia] DROP CONSTRAINT [PK_Ocorrencia];
ALTER TABLE dbo.Ocorrencia ALTER COLUMN OcorrenciaID BIGINT NOT NULL; 
ALTER TABLE [dbo].[Ocorrencia] ADD CONSTRAINT [PK_Ocorrencia] PRIMARY KEY CLUSTERED (  [OcorrenciaID] ASC);

ALTER TABLE [dbo].[VEICULO_ITEMRETIDO] DROP CONSTRAINT [PK_VEICULO_ITEMRETIDO];
ALTER TABLE dbo.VEICULO_ITEMRETIDO ALTER COLUMN OCORRENCIAID BIGINT NOT NULL; 
ALTER TABLE [dbo].[VEICULO_ITEMRETIDO] ADD CONSTRAINT [PK_VEICULO_ITEMRETIDO] PRIMARY KEY CLUSTERED (
	[OCORRENCIAID] ASC,
	[VEICULOID] ASC,
	[ITEMRETIDOCOD] ASC,
	[REGISTRODTHR] ASC
);

ALTER TABLE [dbo].[OCORRENCIA_IDGRAVACAO] DROP CONSTRAINT [PK_OCORRENCIA_IDGRAVACAO];
ALTER TABLE dbo.OCORRENCIA_IDGRAVACAO ALTER COLUMN OCORRENCIAID BIGINT NOT NULL; 
ALTER TABLE [dbo].[OCORRENCIA_IDGRAVACAO] ADD CONSTRAINT [PK_OCORRENCIA_IDGRAVACAO] PRIMARY KEY CLUSTERED (  [OcorrenciaID] ASC);

ALTER TABLE [dbo].[OCORRENCIA_QUEIXA] DROP CONSTRAINT [PK_OCORRENCIA_QUEIXA];
ALTER TABLE dbo.OCORRENCIA_QUEIXA ALTER COLUMN OCORRENCIAID BIGINT NOT NULL; 
ALTER TABLE [dbo].[OCORRENCIA_QUEIXA] ADD CONSTRAINT [PK_OCORRENCIA_QUEIXA] PRIMARY KEY CLUSTERED (	[OCORRENCIAID] ASC,	[DTHR] ASC);

ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID] DROP CONSTRAINT [PK_OCORRENCIA_AVALIACAO_PACIENTE_CID];
ALTER TABLE dbo.OCORRENCIA_AVALIACAO_PACIENTE_CID ALTER COLUMN OCORRENCIAID BIGINT NOT NULL; 
ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID] ADD CONSTRAINT [PK_OCORRENCIA_AVALIACAO_PACIENTE_CID] PRIMARY KEY CLUSTERED 
(	[OCORRENCIAID] ASC,
	[VITIMAID] ASC,
	[CID_TP] ASC,
	[CID] ASC,
	[DTHR] ASC);

ALTER TABLE [dbo].[Vitimas] DROP CONSTRAINT [PK_Vitimas];
ALTER TABLE dbo.Vitimas ALTER COLUMN OcorrenciaID BIGINT NOT NULL; 
ALTER TABLE [dbo].[Vitimas] ADD CONSTRAINT [PK_Vitimas] PRIMARY KEY CLUSTERED([OcorrenciaID] ASC,	[VitimaId] ASC);

ALTER TABLE [dbo].[OCORRENCIA_APOIO_SOLICITADO] DROP CONSTRAINT [PK_OCORRENCIA_APOIO_SOLICITADO_1];
ALTER TABLE dbo.OCORRENCIA_APOIO_SOLICITADO ALTER COLUMN OCORRENCIAID BIGINT NOT NULL; 
ALTER TABLE [dbo].[OCORRENCIA_APOIO_SOLICITADO] ADD CONSTRAINT [PK_OCORRENCIA_APOIO_SOLICITADO_1] PRIMARY KEY CLUSTERED
([OCORRENCIAID] ASC,[APOIOCD] ASC,[APOIODTHR] ASC);




ALTER TABLE [dbo].[VEICULO_ITEMRETIDO]  WITH NOCHECK ADD  CONSTRAINT [FK_VEICULO_ITEMRETIDO_Ocorrencia] FOREIGN KEY([OCORRENCIAID])
REFERENCES [dbo].[Ocorrencia] ([OcorrenciaID]);

ALTER TABLE [dbo].[OCORRENCIA_IDGRAVACAO]  WITH NOCHECK ADD  CONSTRAINT [FK_OCORRENCIA_IDGRAVACAO_Ocorrencia] FOREIGN KEY([OCORRENCIAID])
REFERENCES [dbo].[Ocorrencia] ([OcorrenciaID]);

ALTER TABLE [dbo].[OCORRENCIA_QUEIXA]  WITH NOCHECK ADD  CONSTRAINT [FK_OCORRENCIA_QUEIXA_Ocorrencia] FOREIGN KEY([OCORRENCIAID])
REFERENCES [dbo].[Ocorrencia] ([OcorrenciaID]);

ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID]  WITH NOCHECK ADD  CONSTRAINT [FK_OCORRENCIA_AVALIACAO_PACIENTE_CID_Ocorrencia] FOREIGN KEY([OCORRENCIAID])
REFERENCES [dbo].[Ocorrencia] ([OcorrenciaID]);

ALTER TABLE [dbo].[OCORRENCIA_APOIO_SOLICITADO]  WITH NOCHECK ADD  CONSTRAINT [FK_OCORRENCIA_APOIO_SOLICITADO_Ocorrencia] FOREIGN KEY([OCORRENCIAID])
REFERENCES [dbo].[Ocorrencia] ([OcorrenciaID]);

ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_PACIENTE_CID]  WITH NOCHECK ADD  CONSTRAINT [FK_OCORRENCIA_AVALIACAO_PACIENTE_CID_Vitimas] FOREIGN KEY([OCORRENCIAID], [VITIMAID])
REFERENCES [dbo].[Vitimas] ([OcorrenciaID], [VitimaId]);




ALTER TABLE dbo.[FORMEQUIPE_SolicitacaoVeiculo] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE dbo.[FORMEQUIPE_TMP_OcorrenciaVeiculoProfissional] ALTER COLUMN [OcorrenciaID] BIGINT NULL;
ALTER TABLE dbo.[HISTORICO_CONDUTA] ALTER COLUMN [OCORRENCIAID] BIGINT NULL;
ALTER TABLE dbo.[HISTORICO_DECISAO_GESTORA] ALTER COLUMN [OCORRENCIAID] BIGINT NULL;
ALTER TABLE dbo.[ParametrosGerais] ALTER COLUMN [OcorrenciaID] BIGINT NULL;




ALTER TABLE [dbo].[Conclusao] DROP  CONSTRAINT [PK_Conclusao];
ALTER TABLE dbo.[Conclusao] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[Conclusao] ADD  CONSTRAINT [PK_Conclusao] PRIMARY KEY CLUSTERED ([OcorrenciaID] ASC,	[VitimaID] ASC,	[FichaNM] ASC);

ALTER TABLE [dbo].[FichaOcorrenciaVitima] DROP  CONSTRAINT [PK_FichaOcorrenciaVitima] ;
ALTER TABLE dbo.[FichaOcorrenciaVitima] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[FichaOcorrenciaVitima] ADD  CONSTRAINT [PK_FichaOcorrenciaVitima] PRIMARY KEY CLUSTERED 
(	[OcorrenciaID] ASC,	[VitimaID] ASC);

ALTER TABLE [dbo].[FORMEQUIPE_OcorrenciaVeiculoProfissional] DROP  CONSTRAINT [PK_FORMEQUIPE_OcorrenciaVeiculoProfissional];
ALTER TABLE dbo.[FORMEQUIPE_OcorrenciaVeiculoProfissional] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[FORMEQUIPE_OcorrenciaVeiculoProfissional] ADD  CONSTRAINT [PK_FORMEQUIPE_OcorrenciaVeiculoProfissional] PRIMARY KEY CLUSTERED 
([OcorrenciaID] ASC,[VeiculoID] ASC,[ProfissionalID] ASC,[VeiculoSEQ] ASC);

ALTER TABLE [dbo].[INT_FB] DROP CONSTRAINT [PK_INT_FB];
ALTER TABLE dbo.[INT_FB] ALTER COLUMN [ocorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[INT_FB] ADD  CONSTRAINT [PK_INT_FB] PRIMARY KEY CLUSTERED (	[ocorrenciaID] ASC,	[fbID] ASC);

ALTER TABLE [dbo].[INT_GRAVADOR] DROP CONSTRAINT [PK_INT_GRAVADOR];
ALTER TABLE dbo.[INT_GRAVADOR] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[INT_GRAVADOR] ADD  CONSTRAINT [PK_INT_GRAVADOR] PRIMARY KEY CLUSTERED ([OcorrenciaID] ASC,[DTHR] ASC);

ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_INICIAL] DROP  CONSTRAINT [PK_OCORRENCIA_AVALIACAO_INICIAL];
ALTER TABLE dbo.[OCORRENCIA_AVALIACAO_INICIAL] ALTER COLUMN [OCORRENCIAID] BIGINT NOT NULL;
ALTER TABLE [dbo].[OCORRENCIA_AVALIACAO_INICIAL] ADD  CONSTRAINT [PK_OCORRENCIA_AVALIACAO_INICIAL] PRIMARY KEY CLUSTERED 
([OCORRENCIAID] ASC,[VITIMAID] ASC,[DTHR] ASC);

ALTER TABLE [dbo].[OcorrenciaMovimentacao] drop  CONSTRAINT [PK_OcorrenciaMovimentacao] ;
ALTER TABLE dbo.[OcorrenciaMovimentacao] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[OcorrenciaMovimentacao] ADD  CONSTRAINT [PK_OcorrenciaMovimentacao] PRIMARY KEY CLUSTERED 
([OcorrenciaID] ASC,[VeiculoID] ASC,[VeiculoSEQ] ASC);

ALTER TABLE [dbo].[PosicaoOcorrencias] DROP CONSTRAINT [PK_PosicaoOcorrencias];
ALTER TABLE dbo.[PosicaoOcorrencias] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[PosicaoOcorrencias] ADD  CONSTRAINT [PK_PosicaoOcorrencias] PRIMARY KEY CLUSTERED 
([OcorrenciaID] ASC,	[VitimaID] ASC,	[OperadorDestino] ASC,	[RegistroDT] ASC);

ALTER TABLE [dbo].[QuestionarioRespostas] DROP CONSTRAINT [PK_QuestionarioRespostas] ;
ALTER TABLE dbo.[QuestionarioRespostas] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[QuestionarioRespostas] ADD  CONSTRAINT [PK_QuestionarioRespostas] PRIMARY KEY CLUSTERED 
([OcorrenciaID] ASC,[VitimaID] ASC,[FichaNM] ASC,[QUESTIONARIOID] ASC,[TPAMBIENTEID] ASC,[GRPPERGUNTAID] ASC,[PERGUNTAID] ASC,[ALTERNATIVAID] ASC,[RegistroDT] ASC);

ALTER TABLE [dbo].[Solicitante] DROP CONSTRAINT [PK_Solicitante] ;
ALTER TABLE dbo.[Solicitante] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[Solicitante] ADD  CONSTRAINT [PK_Solicitante] PRIMARY KEY CLUSTERED ([OcorrenciaID] ASC);

ALTER TABLE [dbo].[TEMP_QuestionarioRespostas] DROP CONSTRAINT [PK_TEMP_QuestionarioRespostas];
ALTER TABLE dbo.[TEMP_QuestionarioRespostas] ALTER COLUMN [OcorrenciaID] BIGINT NOT NULL;
ALTER TABLE [dbo].[TEMP_QuestionarioRespostas] ADD  CONSTRAINT [PK_TEMP_QuestionarioRespostas] PRIMARY KEY CLUSTERED 
([OcorrenciaID] ASC,[VitimaID] ASC,[FichaNM] ASC,[QUESTIONARIOID] ASC,[TPAMBIENTEID] ASC,[GRPPERGUNTAID] ASC,[PERGUNTAID] ASC,[ALTERNATIVAID] ASC);

ALTER TABLE dbo.[TEMPO_RESPOSTA] ALTER COLUMN [OCORRENCIA_ID] BIGINT NOT NULL;

UPDATE [dbo].[ParametrosGerais] SET VersaoSistema = '1.4.5';
UPDATE [dbo].[ParametrosSistema] SET Valor = 'ESUS-SAMU 1.4.6' WHERE Chave = 'VERSAO-SISTEMA';

